"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.dobToAge = void 0;

/**
 * @param {string} dateOfBirth
 * @returns {[number, number, number]}
 */
const dobToParts = dateOfBirth => {
  let [year, month, date] = dateOfBirth.split('-');
  month = month ? Number(month) - 1 : 0;
  date = Number(date) || 1;
  return [year, month, date];
};
/**
 * @param {string} dateOfBirth
 * @returns {number} Number of years old
 */


const dobToAge = dobString => {
  const [year, month, date] = dobToParts(dobString);
  const now = new Date();
  const currentYear = now.getFullYear();
  const currentMonth = now.getMonth();
  const currentDate = now.getDate();
  const yearsOld = currentYear - year;
  let isPastThisDay;
  const monthDiff = currentMonth - month;

  if (monthDiff === 0) {
    // we do >= because *on* your birthday we consider you
    // the next "year" old.
    isPastThisDay = currentDate >= date;
  } else {
    isPastThisDay = currentMonth > month;
  }

  return Math.max(isPastThisDay ? yearsOld : yearsOld - 1, 0);
};

exports.dobToAge = dobToAge;