"use strict";

var _tape = _interopRequireDefault(require("tape"));

var _dobToAge = require("./dob-to-age");

var _milliseconds = _interopRequireDefault(require("milliseconds"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _tape.default)('dobToAge', t => {
  const toDateString = date => [date.getFullYear(), date.getMonth() + 1, date.getDate()].join('-');
  /**
   * @param {number} year
   * @param {number} adjustment Adjustment from "now" in that year in milliseconds
   * @returns {string}
   */


  const getDateInYear = (year, adjustment) => {
    const date = new Date();
    date.setFullYear(year);
    return toDateString(new Date(date.valueOf() + adjustment));
  };

  const thisYear = new Date().getFullYear();
  const variations = [[getDateInYear(thisYear, 0), 0], [getDateInYear(thisYear - 5, -_milliseconds.default.days(1)), 5], [getDateInYear(thisYear - 5, -(_milliseconds.default.days(1) + _milliseconds.default.years(1))), 6], [getDateInYear(thisYear, _milliseconds.default.years(1)), 0] // in the future should be zero
  ];
  variations.forEach(([input, output]) => {
    t.equal((0, _dobToAge.dobToAge)(input), output, "".concat(input, " should be ").concat(output));
  });
  t.end();
});